org.bouncycastle.asn1.cms

## Class KEKIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.KEKIdentifier

All Implemented Interfaces:
  DEREncodable

    public class KEKIdentifier
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`KEKIdentifier(ASN1Sequence seq)`
`KEKIdentifier(byte[] keyIdentifier, DERGeneralizedTime date, OtherKeyAttribute other)`

### Method Summary

Methods
`DERGeneralizedTime` `getDate()`
`static KEKIdentifier` `getInstance(ASN1TaggedObject obj, boolean explicit)` return a KEKIdentifier object from a tagged object.
`static KEKIdentifier` `getInstance(java.lang.Object obj)` return a KEKIdentifier object from the given object.
`ASN1OctetString` `getKeyIdentifier()`
`OtherKeyAttribute` `getOther()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KEKIdentifier

    public KEKIdentifier(byte[] keyIdentifier,
                 DERGeneralizedTime date,
                 OtherKeyAttribute other)

#### KEKIdentifier

    public KEKIdentifier(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static KEKIdentifier getInstance(ASN1TaggedObject obj,
                            boolean explicit)

return a KEKIdentifier object from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

#### getInstance

    public static KEKIdentifier getInstance(java.lang.Object obj)

return a KEKIdentifier object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getKeyIdentifier

    public ASN1OctetString getKeyIdentifier()

#### getDate

    public DERGeneralizedTime getDate()

#### getOther

    public OtherKeyAttribute getOther()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     KEKIdentifier ::= SEQUENCE {
         keyIdentifier OCTET STRING,
         date GeneralizedTime OPTIONAL,
         other OtherKeyAttribute OPTIONAL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`